Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.publickey
Class DHKey

    java.lang.Object
      com.mindbright.jce.crypto.spec.DHParamsImpl
          com.mindbright.jce.crypto.spec.DHParameterSpec
              com.mindbright.security.publickey.DHKey

All Implemented Interfaces:
  AlgorithmParameterSpec, DHKey, Key, java.io.Serializable

Direct Known Subclasses:
  DHPrivateKey, DHPublicKey

public class DHKey
extends DHParameterSpec
implements DHKey, Key

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.mindbright.jce.crypto.spec.DHParameterSpec
`l`

Fields inherited from class com.mindbright.jce.crypto.spec.DHParamsImpl
`g, p`

Constructor Summary
`protected` | `DHKey(java.math.BigInteger p, java.math.BigInteger g)`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()`
`java.lang.String` | `getFormat()`
`DHParameterSpec` | `getParams()`

Methods inherited from class com.mindbright.jce.crypto.spec.DHParameterSpec
`getL`

Methods inherited from class com.mindbright.jce.crypto.spec.DHParamsImpl
`getG, getP`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHKey

    protected DHKey(java.math.BigInteger p,
                    java.math.BigInteger g)

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `Key`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `Key`

### getEncoded

    public byte[] getEncoded()

  Specified by:
    `getEncoded` in interface `Key`

### getParams

    public DHParameterSpec getParams()

  Specified by:
    `getParams` in interface `DHKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD